#
# Copyright (c) 2026, Chloe M.
# Provided under the BSD-3 clause
#
# Description:  Support package build script
# Author:		Chloe M.
#

include ../mk/ptos.mk

CFILES = $(shell find . -name "*.c")
OFILES = $(CFILES:.c=.o)
DFILES = $(CFILES:.c=.d)

CFLAGS = 								   \
	$(SYS_CFLAGS)						   \
	-MMD								   \
	-I$(PT_PROJECT_ROOT)/service/spkg/head \
	-I$(PT_PROJECT_ROOT)/sdk/head

.PHONY: all
all: $(OFILES)

-include $(DFILES)
%.o: %.c
	$(PROMPT) "CC" $<
	$(SYS_CC) -c $(CFLAGS) $< -o $@
